Device Compatibility and Browser Requirements

Below is a device compatibility chart for the CrowdComms platform.

State
Meaning

NOT SUPPORTED

The platform may work but we do not actively focus on supporting this device or operating system. The app may suffer from glitches, poor performance or not run altogether.

 

Often these are devices that have reached their vendor EOL (End of Life). We highly suggest upgrading as these devices are often prone to security exploits.

SUPPORTED

CrowdComms actively attempts to keep the platform running smoothly on these devices. You are always welcome to report any issues to a member of support and we will do our best to resolve these problems.


iOS

Device
Support
Notes

iOS 7 and below on Apple device

NOT SUPPORTED

 

iOS 8 on any compatible Apple device

SUPPORTED

 

iPhone X

SUPPORTED

App viewport is reduced to compensate for device 'notch'

Android

Device
Support
Notes

ALL

 

Android devices without Adobe PDF Reader or Chrome will not be able to open PDF Files.

Android version 4 and below

NOT SUPPORTED

 

Android version 5 and above

SUPPORTED

 

Windows Phone

Device
Support
Notes

Windows Phone 8.1

SUPPORTED

Windows Phone has been deprecated. CrowdComms will endeavour to support this platform until the official EOL. 

Windows 10 Mobile

SUPPORTED

 

Everything else

NOT SUPPORTED

 

 

Web

Device
Support
Notes

Chrome

SUPPORTED

 

Firefox 5 and later

SUPPORTED

 

Firefox 4 and below

NOT SUPPORTED

 

Safari 5.1 and above

SUPPORTED

 

Internet Explorer

NOT SUPPORTED

 

Edge 18

NOT SUPPORTED

Edge 18 was deprecated in Jan 15th windows update. Microsoft has indicated ending support for Edge 18 in August 2021

Chromium based browsers SUPPORTED  

1-2-1 Video Calls and Breakout Video Meeting - User Requirements

  • Users will need to be using up to date version of their browser 

  • Users should ensure that they have applications such as Teams and Zoom closed, they could stop the 1-2-1 calls or breakouts launching correctly within the platform
  • Latest versions of Chrome, FireFox, Chromium and Safari 14+ are supported

  • On IOS devices, Safari is the only supported browser

  • Older browsers including Internet Explorer are not supported

CC Engage

Browsers must support WebGL. Browsers supported by the WebGLRenderer are:

  • Internet Explorer 11+,
  • Firefox 15+,
  • Chrome 11+,
  • Opera 19+

If you find that you still have trouble after checking the above then please check here to see if your browser settings are also compatible.

Note: Safari is not currently supported